//Paper 2


//Table 4
use "Paper2/Paper2-allcompanies_countries.dta"
correl leverage profitability size tangibility growth ndt avgindlev inflation gdpgrowth corruption ///
invprotection stcmtkdev bondmktdev taxgain


//Table 5
sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="XX"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="BG"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="FI"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="FR"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="DE"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="GB"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="GR"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="IT"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="PL"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="RO"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="RU"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="SK"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="ES"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="SE"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="CH"

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if country=="UA"


//Table 6
sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==1

sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==2


sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==3


sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==4


sum leverage short lon profitability size tangibility growth ndt avgindlev inflation gdpgrowth ///
corruption invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==5


//Table 7
xtset nr year, yearly

//OLS
regress leverage L.leverage  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy

//GMM
xtabond2 leverage L.leverage profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.leverage profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog


//Table 8
//OLS
regress short L.short  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy

//GMM
xtabond2 short L.short profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.short profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog


//Table 9
//OLS
regress lon L.lon  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy

//GMM
xtabond2 lon L.lon profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.lon profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog


//Table 10 /Table A5 to A9
//OLS - Common law (A5)
regress leverage L.leverage L.profitability L.size L.tangibility L.growth L.ndt avgindlev if ruleoflaw==1

//OLS - Socialist law (A6)
regress leverage L.leverage L.profitability L.size L.tangibility L.growth L.ndt avgindlev if ruleoflaw==2

//OLS - French law (A7)
regress leverage L.leverage L.profitability L.size L.tangibility L.growth L.ndt avgindlev if ruleoflaw==3

//OLS - German law (A8)
regress leverage L.leverage L.profitability L.size L.tangibility L.growth L.ndt avgindlev if ruleoflaw==4

//OLS - Scandinavian law (A9)
regress leverage L.leverage L.profitability L.size L.tangibility L.growth L.ndt avgindlev if ruleoflaw==5


//Table A2
//Rule of law 1
regress leverage L.leverage  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==1

drop if ruleoflaw!=1
//GMM
xtabond2 leverage L.leverage profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.leverage profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly

//Ruleoflaw 2
regress leverage L.leverage  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==2

drop if ruleoflaw!=2
//GMM
xtabond2 leverage L.leverage profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.leverage profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly

//Ruleoflaw 3
regress leverage L.leverage  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==3

drop if ruleoflaw!=3
//GMM
xtabond2 leverage L.leverage profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.leverage profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly

//Ruleoflaw 4
regress leverage L.leverage  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==4

drop if ruleoflaw!=4
//GMM
xtabond2 leverage L.leverage profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.leverage profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly


//Ruleoflaw 5
regress leverage L.leverage  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==5

drop if ruleoflaw!=5
//GMM
xtabond2 leverage L.leverage profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.leverage profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly


//Table A3
//Rule of law 1
regress short L.short  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==1

drop if ruleoflaw!=1
//GMM
xtabond2 short L.short profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.short profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly

//Ruleoflaw 2
regress short L.short  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==2

drop if ruleoflaw!=2
//GMM
xtabond2 short L.short profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.short profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly

//Ruleoflaw 3
regress short L.short  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==3

drop if ruleoflaw!=3
//GMM
xtabond2 short L.short profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.short profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly

//Ruleoflaw 4
regress short L.short  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==4

drop if ruleoflaw!=4
//GMM
xtabond2 short L.short profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.short profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly


//Ruleoflaw 5
regress short L.short  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==5

drop if ruleoflaw!=5
//GMM
xtabond2 short L.short profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.short profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly


//Table A4
//Rule of law 1
regress lon L.lon  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==1

drop if ruleoflaw!=1
//GMM
xtabond2 lon L.lon profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.lon profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly

//Ruleoflaw 2
regress lon L.lon  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==2

drop if ruleoflaw!=2
//GMM
xtabond2 lon L.lon profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.lon profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly

//Ruleoflaw 3
regress lon L.lon  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==3

drop if ruleoflaw!=3
//GMM
xtabond2 lon L.lon profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.lon profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly

//Ruleoflaw 4
regress lon L.lon  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==4

drop if ruleoflaw!=4
//GMM
xtabond2 lon L.lon profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.lon profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly


//Ruleoflaw 5
regress lon L.lon  profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy if ruleoflaw==5

drop if ruleoflaw!=5
//GMM
xtabond2 lon L.lon profitability size tangibility  growth ndt avgindlev inflation ///
gdpgrowth corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy, ///
gmm(l.lon profitability size tangibility growth ndt) iv(avgindlev inflation gdpgrowth ///
corruption ruleoflaw invprotection stcmtkdev bondmktdev taxgain deveconomy) twostep robust small orthog
pause
clear
use "Paper2/Paper2-allcompanies_countries.dta"
xtset nr year, yearly
